
QGIS Application - Bug report #19224

Qgis crashes when deleting or moving node

2018-06-19 10:25 AM - Maja Polenšek

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 27053

Description

I am working with polygons (shapefile). I can delete or move few nodes. After that qgis crash. Sometimes it freezes (mouse is working)

and does not complete the command. If I close and reopen Qgis it works normal for few moves. At best I can work 5 to 10 minutes before

it crashes. Sometimes I can make just 3 changes.

History

#1 - 2018-06-19 04:44 PM - Martin Dobias

- Status changed from Open to Feedback

Could you please attach the data you have been using?

Ideally if you could also record a short screen recording where it is possible to see how you do the editing...

#2 - 2018-06-20 12:30 PM - Richard Duivenvoorde

Maja sent the shp file to redmine address, I forwarded it to Martin. 

If somebody else wants it, let me (Richard) know.

Note: I cannot reproduce the crash here: tried to edit the shapefile by adding features en edit excisting ones...

(I'm not on Windows though...)

@Maja: can you try to create a fresh 'Profile' in QGIS? So to be sure there are no plugins screwing things up?

#3 - 2018-06-22 01:07 PM - Richard Duivenvoorde

- File Selection_601.png added

Via menu Settings / User Profiles / New Profile, see screenshot

#4 - 2018-08-15 07:55 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
Files

qgis crash.txt 1.36 KB 2018-06-19 Maja Polenšek

Selection_601.png 39.4 KB 2018-06-22 Richard Duivenvoorde
